Page MenuHomePhabricator

rack/setup/install civi2001.frack.codfw.wmnet
Open, MediumPublic

Description

mgmt IP 10.195.0.119
ge-[0-1]/0/14

  • - receive in system on procurement task T237441
  • - rack system in frack
  • - bios/drac/serial setup/testing
  • - mgmt dns entries added for hostname (fqdn is civi2001.mgmt.frack.codfw.wmnet)
  • - network port setup (description, enable, vlan) - attach two network ports, one to each asw, ports assigned to frack-eqiad-fundraising vlan.
    • end on-site specific steps - handoff to Fundraising for remainder as they use their own puppet master.
  • - production dns entries added - (ip 10.195.0.37 / fqdn civi2001.frack.codfw.wmnet)
  • - OS installation [note we want Buster here, and it will probably need some puppet work]
  • - interface bond0 configured
  • - host state in netbox set to staged

Several things needing fixing:

  • postfix configuration is missing fragile/slowroll transports in master.cf
  • banner logger mountpoint needs configuring from both sides
  • no NAT is configured for this host, which breaks check-endpoints
  • puppet is temporarily disabled at systemd pending switching NAT config
  • puppet vs buster vs php7.3 package naming issues
  • - configure icinga monitoring
  • - service implementer changes from 'staged' status to 'active' status in netbox'
  • python3-mysql.connector is not available [T246823]
  • drush is not available [T240499]
  • civicrm testing for php7.3 and other Buster updates [T254940]

Event Timeline

Jgreen removed Jgreen as the assignee of this task.Jan 8 2020, 7:42 PM
Jgreen created this task.
Jgreen added a subtask: Unknown Object (Task).
Jgreen updated the task description. (Show Details)Jan 8 2020, 9:31 PM
Jgreen updated the task description. (Show Details)
Jgreen added a subtask: Restricted Task.Jan 8 2020, 9:50 PM
Jgreen closed subtask Restricted Task as Resolved.Jan 14 2020, 2:41 PM
Jgreen moved this task from Triage to Up Next on the fundraising-tech-ops board.Feb 19 2020, 10:44 PM
Jgreen updated the task description. (Show Details)
Jgreen assigned this task to Papaul.Mar 2 2020, 8:21 PM
Papaul updated the task description. (Show Details)Mar 2 2020, 8:47 PM
Papaul updated the task description. (Show Details)Mar 3 2020, 4:55 PM
RobH removed a subscriber: RobH.Mar 3 2020, 5:04 PM
Papaul added a comment.Mar 3 2020, 5:06 PM
[edit interfaces interface-range vlan-fundraising]
     member "ge-[0-1]/0/23" { ... }
+    member "ge-[0-1]/0/14";
[edit interfaces]
+   ge-0/0/14 {
+       description civi2001:eth0;
+   }
+   ge-1/0/14 {
+       description civi2001:eth1;
+   }
Papaul updated the task description. (Show Details)Mar 3 2020, 5:06 PM
Papaul added a subscriber: RobH.

Change 576392 had a related patch set uploaded (by Papaul; owner: Papaul):
[operations/dns@master] DNS: Add mgmt DNS for civi2001

https://gerrit.wikimedia.org/r/576392

RobH removed a subscriber: RobH.Mar 3 2020, 5:21 PM

Change 576392 merged by Papaul:
[operations/dns@master] DNS: Add mgmt DNS for civi2001

https://gerrit.wikimedia.org/r/576392

Papaul updated the task description. (Show Details)Mar 3 2020, 5:46 PM
Papaul added a subscriber: RobH.
Papaul reassigned this task from Papaul to Jgreen.Mar 3 2020, 5:48 PM
Papaul added a subscriber: Papaul.

@Jgreen all yours

RobH removed a subscriber: RobH.Mar 3 2020, 5:57 PM
Jgreen triaged this task as Medium priority.Mar 3 2020, 8:28 PM
Jgreen moved this task from Up Next to Stalled on the fundraising-tech-ops board.
Jgreen changed the status of subtask T246812: DHCP routing issue with civi2001 from Open to Stalled.Mar 3 2020, 8:33 PM
Jgreen updated the task description. (Show Details)
Jgreen added a subscriber: RobH.
RobH removed a subscriber: RobH.Mar 5 2020, 4:25 PM
Jgreen updated the task description. (Show Details)Mar 5 2020, 4:35 PM
Jgreen added a subscriber: RobH.
Jgreen updated the task description. (Show Details)Mar 5 2020, 4:38 PM
RobH removed a subscriber: RobH.Mar 5 2020, 4:56 PM
Jgreen updated the task description. (Show Details)Mar 5 2020, 5:01 PM
Jgreen updated the task description. (Show Details)Mar 5 2020, 5:22 PM
Jgreen updated the task description. (Show Details)

Added civi2001 into the mix for rsync_blaster/FrDeploy. Ran initial sync.

[frack::puppet] ded00800 Adding civi2001 to the mix for FrDeploy
Jgreen updated the task description. (Show Details)Mar 20 2020, 5:39 PM
Jgreen updated the task description. (Show Details)
Jgreen updated the task description. (Show Details)
Jgreen updated the task description. (Show Details)
Jgreen updated the task description. (Show Details)Mar 31 2020, 3:48 PM

Change 584977 had a related patch set uploaded (by Jgreen; owner: Jgreen):
[operations/puppet@production] nsca_frack.cfg.erb updates

https://gerrit.wikimedia.org/r/584977

Jgreen updated the task description. (Show Details)Mar 31 2020, 5:37 PM
Jgreen updated the task description. (Show Details)
Jgreen updated the task description. (Show Details)Mar 31 2020, 5:46 PM
Jgreen updated the task description. (Show Details)May 19 2020, 9:07 PM
Jgreen removed Jgreen as the assignee of this task.Jul 1 2020, 7:15 PM
Jgreen changed the task status from Open to Stalled.Tue, Jul 7, 5:04 PM
Jgreen moved this task from In Progress to Stalled on the fundraising-tech-ops board.
Jgreen changed the status of subtask T254940: Test CiviCRM on new box from Open to Stalled.
Dwisehaupt changed the task status from Stalled to Open.Thu, Jul 9, 2:32 PM
Dwisehaupt moved this task from Stalled to In Progress on the fundraising-tech-ops board.
Dwisehaupt updated the task description. (Show Details)Mon, Jul 13, 4:15 PM
Jgreen updated the task description. (Show Details)Tue, Jul 14, 9:54 PM